# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: TurbidityServicer.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='TurbidityServicer.proto',
  package='sila2.org.silastandard.examples.turbidityservicer.v1',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x17TurbidityServicer.proto\x12\x34sila2.org.silastandard.examples.turbidityservicer.v1\x1a\x13SiLAFramework.proto\"E\n\x12GetAUPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"F\n\x11GetAUPV_Responses\x12\x31\n\x0b\x43urrentAUPV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"E\n\x12GetCXPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"F\n\x11GetCXPV_Responses\x12\x31\n\x0b\x43urrentCXPV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"E\n\x12GetType_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x11GetType_Responses\x12\x33\n\x0b\x43urrentType\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"J\n\x17GetAvailable_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"S\n\x16GetAvailable_Responses\x12\x39\n\x10\x43urrentAvailable\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"E\n\x12GetName_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x11GetName_Responses\x12\x33\n\x0b\x43urrentName\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"H\n\x15GetVersion_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"N\n\x14GetVersion_Responses\x12\x36\n\x0e\x43urrentVersion\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String2\xf1\x07\n\x11TurbidityServicer\x12\x9e\x01\n\x07GetAUPV\x12H.sila2.org.silastandard.examples.turbidityservicer.v1.GetAUPV_Parameters\x1aG.sila2.org.silastandard.examples.turbidityservicer.v1.GetAUPV_Responses\"\x00\x12\x9e\x01\n\x07GetCXPV\x12H.sila2.org.silastandard.examples.turbidityservicer.v1.GetCXPV_Parameters\x1aG.sila2.org.silastandard.examples.turbidityservicer.v1.GetCXPV_Responses\"\x00\x12\x9e\x01\n\x07GetType\x12H.sila2.org.silastandard.examples.turbidityservicer.v1.GetType_Parameters\x1aG.sila2.org.silastandard.examples.turbidityservicer.v1.GetType_Responses\"\x00\x12\xad\x01\n\x0cGetAvailable\x12M.sila2.org.silastandard.examples.turbidityservicer.v1.GetAvailable_Parameters\x1aL.sila2.org.silastandard.examples.turbidityservicer.v1.GetAvailable_Responses\"\x00\x12\x9e\x01\n\x07GetName\x12H.sila2.org.silastandard.examples.turbidityservicer.v1.GetName_Parameters\x1aG.sila2.org.silastandard.examples.turbidityservicer.v1.GetName_Responses\"\x00\x12\xa7\x01\n\nGetVersion\x12K.sila2.org.silastandard.examples.turbidityservicer.v1.GetVersion_Parameters\x1aJ.sila2.org.silastandard.examples.turbidityservicer.v1.GetVersion_Responses\"\x00\x62\x06proto3')
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETAUPV_PARAMETERS = _descriptor.Descriptor(
  name='GetAUPV_Parameters',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetAUPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetAUPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=102,
  serialized_end=171,
)


_GETAUPV_RESPONSES = _descriptor.Descriptor(
  name='GetAUPV_Responses',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetAUPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAUPV', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetAUPV_Responses.CurrentAUPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=173,
  serialized_end=243,
)


_GETCXPV_PARAMETERS = _descriptor.Descriptor(
  name='GetCXPV_Parameters',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetCXPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetCXPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=245,
  serialized_end=314,
)


_GETCXPV_RESPONSES = _descriptor.Descriptor(
  name='GetCXPV_Responses',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetCXPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentCXPV', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetCXPV_Responses.CurrentCXPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=316,
  serialized_end=386,
)


_GETTYPE_PARAMETERS = _descriptor.Descriptor(
  name='GetType_Parameters',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetType_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetType_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=388,
  serialized_end=457,
)


_GETTYPE_RESPONSES = _descriptor.Descriptor(
  name='GetType_Responses',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetType_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentType', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetType_Responses.CurrentType', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=459,
  serialized_end=531,
)


_GETAVAILABLE_PARAMETERS = _descriptor.Descriptor(
  name='GetAvailable_Parameters',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetAvailable_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetAvailable_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=533,
  serialized_end=607,
)


_GETAVAILABLE_RESPONSES = _descriptor.Descriptor(
  name='GetAvailable_Responses',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetAvailable_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAvailable', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetAvailable_Responses.CurrentAvailable', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=609,
  serialized_end=692,
)


_GETNAME_PARAMETERS = _descriptor.Descriptor(
  name='GetName_Parameters',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetName_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetName_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=694,
  serialized_end=763,
)


_GETNAME_RESPONSES = _descriptor.Descriptor(
  name='GetName_Responses',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetName_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentName', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetName_Responses.CurrentName', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=765,
  serialized_end=837,
)


_GETVERSION_PARAMETERS = _descriptor.Descriptor(
  name='GetVersion_Parameters',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetVersion_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetVersion_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=839,
  serialized_end=911,
)


_GETVERSION_RESPONSES = _descriptor.Descriptor(
  name='GetVersion_Responses',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetVersion_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentVersion', full_name='sila2.org.silastandard.examples.turbidityservicer.v1.GetVersion_Responses.CurrentVersion', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=913,
  serialized_end=991,
)

_GETAUPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETAUPV_RESPONSES.fields_by_name['CurrentAUPV'].message_type = SiLAFramework__pb2._REAL
_GETCXPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETCXPV_RESPONSES.fields_by_name['CurrentCXPV'].message_type = SiLAFramework__pb2._REAL
_GETTYPE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETTYPE_RESPONSES.fields_by_name['CurrentType'].message_type = SiLAFramework__pb2._STRING
_GETAVAILABLE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETAVAILABLE_RESPONSES.fields_by_name['CurrentAvailable'].message_type = SiLAFramework__pb2._INTEGER
_GETNAME_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETNAME_RESPONSES.fields_by_name['CurrentName'].message_type = SiLAFramework__pb2._STRING
_GETVERSION_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETVERSION_RESPONSES.fields_by_name['CurrentVersion'].message_type = SiLAFramework__pb2._STRING
DESCRIPTOR.message_types_by_name['GetAUPV_Parameters'] = _GETAUPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAUPV_Responses'] = _GETAUPV_RESPONSES
DESCRIPTOR.message_types_by_name['GetCXPV_Parameters'] = _GETCXPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetCXPV_Responses'] = _GETCXPV_RESPONSES
DESCRIPTOR.message_types_by_name['GetType_Parameters'] = _GETTYPE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetType_Responses'] = _GETTYPE_RESPONSES
DESCRIPTOR.message_types_by_name['GetAvailable_Parameters'] = _GETAVAILABLE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAvailable_Responses'] = _GETAVAILABLE_RESPONSES
DESCRIPTOR.message_types_by_name['GetName_Parameters'] = _GETNAME_PARAMETERS
DESCRIPTOR.message_types_by_name['GetName_Responses'] = _GETNAME_RESPONSES
DESCRIPTOR.message_types_by_name['GetVersion_Parameters'] = _GETVERSION_PARAMETERS
DESCRIPTOR.message_types_by_name['GetVersion_Responses'] = _GETVERSION_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetAUPV_Parameters = _reflection.GeneratedProtocolMessageType('GetAUPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETAUPV_PARAMETERS,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetAUPV_Parameters)
  })
_sym_db.RegisterMessage(GetAUPV_Parameters)

GetAUPV_Responses = _reflection.GeneratedProtocolMessageType('GetAUPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETAUPV_RESPONSES,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetAUPV_Responses)
  })
_sym_db.RegisterMessage(GetAUPV_Responses)

GetCXPV_Parameters = _reflection.GeneratedProtocolMessageType('GetCXPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETCXPV_PARAMETERS,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetCXPV_Parameters)
  })
_sym_db.RegisterMessage(GetCXPV_Parameters)

GetCXPV_Responses = _reflection.GeneratedProtocolMessageType('GetCXPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETCXPV_RESPONSES,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetCXPV_Responses)
  })
_sym_db.RegisterMessage(GetCXPV_Responses)

GetType_Parameters = _reflection.GeneratedProtocolMessageType('GetType_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETTYPE_PARAMETERS,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetType_Parameters)
  })
_sym_db.RegisterMessage(GetType_Parameters)

GetType_Responses = _reflection.GeneratedProtocolMessageType('GetType_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETTYPE_RESPONSES,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetType_Responses)
  })
_sym_db.RegisterMessage(GetType_Responses)

GetAvailable_Parameters = _reflection.GeneratedProtocolMessageType('GetAvailable_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETAVAILABLE_PARAMETERS,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetAvailable_Parameters)
  })
_sym_db.RegisterMessage(GetAvailable_Parameters)

GetAvailable_Responses = _reflection.GeneratedProtocolMessageType('GetAvailable_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETAVAILABLE_RESPONSES,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetAvailable_Responses)
  })
_sym_db.RegisterMessage(GetAvailable_Responses)

GetName_Parameters = _reflection.GeneratedProtocolMessageType('GetName_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETNAME_PARAMETERS,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetName_Parameters)
  })
_sym_db.RegisterMessage(GetName_Parameters)

GetName_Responses = _reflection.GeneratedProtocolMessageType('GetName_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETNAME_RESPONSES,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetName_Responses)
  })
_sym_db.RegisterMessage(GetName_Responses)

GetVersion_Parameters = _reflection.GeneratedProtocolMessageType('GetVersion_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETVERSION_PARAMETERS,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetVersion_Parameters)
  })
_sym_db.RegisterMessage(GetVersion_Parameters)

GetVersion_Responses = _reflection.GeneratedProtocolMessageType('GetVersion_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETVERSION_RESPONSES,
  '__module__' : 'TurbidityServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.turbidityservicer.v1.GetVersion_Responses)
  })
_sym_db.RegisterMessage(GetVersion_Responses)



_TURBIDITYSERVICER = _descriptor.ServiceDescriptor(
  name='TurbidityServicer',
  full_name='sila2.org.silastandard.examples.turbidityservicer.v1.TurbidityServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=994,
  serialized_end=2003,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetAUPV',
    full_name='sila2.org.silastandard.examples.turbidityservicer.v1.TurbidityServicer.GetAUPV',
    index=0,
    containing_service=None,
    input_type=_GETAUPV_PARAMETERS,
    output_type=_GETAUPV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetCXPV',
    full_name='sila2.org.silastandard.examples.turbidityservicer.v1.TurbidityServicer.GetCXPV',
    index=1,
    containing_service=None,
    input_type=_GETCXPV_PARAMETERS,
    output_type=_GETCXPV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetType',
    full_name='sila2.org.silastandard.examples.turbidityservicer.v1.TurbidityServicer.GetType',
    index=2,
    containing_service=None,
    input_type=_GETTYPE_PARAMETERS,
    output_type=_GETTYPE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAvailable',
    full_name='sila2.org.silastandard.examples.turbidityservicer.v1.TurbidityServicer.GetAvailable',
    index=3,
    containing_service=None,
    input_type=_GETAVAILABLE_PARAMETERS,
    output_type=_GETAVAILABLE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetName',
    full_name='sila2.org.silastandard.examples.turbidityservicer.v1.TurbidityServicer.GetName',
    index=4,
    containing_service=None,
    input_type=_GETNAME_PARAMETERS,
    output_type=_GETNAME_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetVersion',
    full_name='sila2.org.silastandard.examples.turbidityservicer.v1.TurbidityServicer.GetVersion',
    index=5,
    containing_service=None,
    input_type=_GETVERSION_PARAMETERS,
    output_type=_GETVERSION_RESPONSES,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_TURBIDITYSERVICER)

DESCRIPTOR.services_by_name['TurbidityServicer'] = _TURBIDITYSERVICER

# @@protoc_insertion_point(module_scope)
